import { FCBaseTrigger } from './base';
import { FC } from '@midwayjs/faas-typings';
/**
 * https://help.aliyun.com/document_detail/62922.html
 */
export declare class OSSTrigger extends FCBaseTrigger {
    getEvent(): {
        events: {
            eventName: string;
            eventSource: string;
            eventTime: string;
            eventVersion: string;
            oss: {
                bucket: {
                    arn: string;
                    name: string;
                    ownerIdentity: string;
                    virtualBucket: string;
                };
                object: {
                    deltaSize: number;
                    eTag: string;
                    key: string;
                    size: number;
                };
                ossSchemaVersion: string;
                ruleId: string;
            };
            region: string;
            requestParameters: {
                sourceIPAddress: string;
            };
            responseElements: {
                requestId: string;
            };
            userIdentity: {
                principalId: string;
            };
        }[];
    };
}
export declare const oss: typeof OSSTrigger;
export declare const os: typeof OSSTrigger;
export declare const cos: typeof OSSTrigger;
export declare const createOSSEvent: (data?: any) => FC.OSSEvent;
//# sourceMappingURL=oss.d.ts.map